# Uses of Class
org.w3c.tidy.Attribute

Packages that use Attribute
Package
Description
org.w3c.tidy

## Uses of Attribute in org.w3c.tidy

Fields in org.w3c.tidy declared as Attribute
Modifier and Type
Field
Description
`protected static Attribute`
AttributeTable.`attrAlt`
alt attribute.
`protected static Attribute`
AttributeTable.`attrContent`
content attribute.
`protected static Attribute`
AttributeTable.`attrDatafld`
datafld attribute.
`protected static Attribute`
AttributeTable.`attrHeight`
height attribute.
`protected static Attribute`
AttributeTable.`attrHref`
href attribute.
`protected static Attribute`
AttributeTable.`attrId`
id attribute.
`protected static Attribute`
AttributeTable.`attrIsmap`
ismap attribute.
`protected static Attribute`
AttributeTable.`attrLanguage`
language attribute.
`protected static Attribute`
AttributeTable.`attrLongdesc`
logdesc attribute.
`protected static Attribute`
AttributeTable.`attrName`
name attribute.
`protected static Attribute`
AttributeTable.`attrSrc`
src attribute.
`protected static Attribute`
AttributeTable.`attrSummary`
summary attribute.
`protected static Attribute`
AttributeTable.`attrTitle`
title attribute.
`protected static Attribute`
AttributeTable.`attrType`
type attribute.
`protected static Attribute`
AttributeTable.`attrUsemap`
usemap attribute.
`protected static Attribute`
AttributeTable.`attrValue`
value attribute.
`protected static Attribute`
AttributeTable.`attrWidth`
width attribute.
`protected static Attribute`
AttributeTable.`attrXmlns`
xmlns attribute.
`protected Attribute`
AttVal.`dict`
Attribute definition.
Methods in org.w3c.tidy that return Attribute
Modifier and Type
Method
Description
`Attribute`
AttVal.`checkAttribute(Lexer lexer, Node node)`
Check attribute name/value and report errors.
`Attribute`
AttributeTable.`findAttribute(AttVal attval)`
public method for finding attribute definition by name.
`Attribute`
AttVal.`getDict()`
Getter for `dict`.
`Attribute`
AttributeTable.`install(Attribute attr)`
installs a new Attribute.
`Attribute`
AttributeTable.`lookup(String name)`
lookup an installed Attribute.
Methods in org.w3c.tidy with parameters of type Attribute
Modifier and Type
Method
Description
`Attribute`
AttributeTable.`install(Attribute attr)`
installs a new Attribute.
`void`
AttVal.`setDict(Attribute dict)`
Setter for `dict`.
Constructors in org.w3c.tidy with parameters of type Attribute
Modifier
Constructor
Description
``
`AttVal(AttVal next, Attribute dict, int delim, String attribute, String value)`
Instantiates a new AttVal.
``
`AttVal(AttVal next, Attribute dict, Node asp, Node php, int delim, String attribute, String value)`
Instantiates a new AttVal.